com.comtrade.ecm.engine.business.entity.attributes

## Enum AttributeShowability

- java.lang.Object
- - java.lang.Enum<AttributeShowability>
  - - com.comtrade.ecm.engine.business.entity.attributes.AttributeShowability

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AttributeShowability>

      public enum AttributeShowability
      extends java.lang.Enum<AttributeShowability>

  Definition of specific types of an attribute showability

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` An atribute is always shown, regardless of user's wish
    `NEVER` An attribute can never be shown, regardless of user's wish
    `USER_DEFINED` An attribute can be shown if user wants to see it

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AttributeShowability` | `of(java.lang.String text)`
    `java.lang.String` | `toString()`
    `static AttributeShowability` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AttributeShowability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final AttributeShowability NEVER

      An attribute can never be shown, regardless of user's wish

    - #### USER_DEFINED

          public static final AttributeShowability USER_DEFINED

      An attribute can be shown if user wants to see it

    - #### ALWAYS

          public static final AttributeShowability ALWAYS

      An atribute is always shown, regardless of user's wish

  - ### Method Detail

    - #### values

          public static AttributeShowability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AttributeShowability c : AttributeShowability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AttributeShowability valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<AttributeShowability>`

    - #### of

          public static AttributeShowability of(java.lang.String text)